Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.sw
Class FileInclude

    java.lang.Object
      rdlc.rdl.Declaration_Named
          rdlc.sw.FileInclude

All Implemented Interfaces:
  Declaration, Expression

    public class FileInclude

extends Declaration_Named

This class abstracts a file which must be simply copied to the output folder from the input folder or some other location.

Version:
  $Revision: 1.2 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary
`protected java.io.File` | `inputPath` The input path for the current project.
`protected java.lang.String` | `resourceName` The file that this class represents.

Fields inherited from class rdlc.rdl.Declaration_Named
`iName, namespace, rawStaticID`

Constructor Summary
`FileInclude(java.lang.String _name, Namespace _namespace, java.lang.String _resourceName, Command command)` Simple constructor, merely records it's arguments.

Method Summary
`java.lang.String` | `getLambdaName()` Simple accessor.
`java.io.InputStream` | `getResource(java.lang.String suffix)` Simple accessor.
`boolean` | `typeMatch(Expression e)` Check if the expression given as an argument matches the type of this expression.

Methods inherited from class rdlc.rdl.Declaration_Named
`getBase, getIdentifier, getNamedBase, getRawStaticID, getRequirements, getType, resolve, setNamespace, setRawStaticID, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### resourceName

    protected java.lang.String resourceName

  The file that this class represents.

### inputPath

    protected java.io.File inputPath

  The input path for the current project.

Constructor Detail

### FileInclude

    public FileInclude(java.lang.String _name,
                       Namespace _namespace,
                       java.lang.String _resourceName,
                       Command command)

  Simple constructor, merely records it's arguments.

  Parameters:
    `_name` - The name to use for this library file.
    `_namespace` - The namespace to instantiate this file in.
    `_resourceName` - The file this class represents.

Method Detail

### getResource

    public java.io.InputStream getResource(java.lang.String suffix)

  Simple accessor.

  Parameters:
    `suffix` - The suffix to add to the resource name.
  Returns:
    An input stream from which the file can be read.

### typeMatch

    public boolean typeMatch(Expression e)

  Description copied from interface: `Expression`
  Check if the expression given as an argument matches the type of this expression. This is the heart of the RDL type matching routines. RDL supports a named type system, meaning that two seemingly identical types which have none the less been given different names (and do not reference each other in their type declaration) are considered different. This facilitates hardware type checking, where it is often necessary to differentiate between an ASCII character and an 8 bit integer.

  Parameters:
    `e` - The expression to check this one against.
  Returns:
    `true` if these two expressions match in type.
  See Also:
    `Expression.typeMatch(Expression)`

### getLambdaName

    public java.lang.String getLambdaName()

  Description copied from interface: `Declaration`
  Simple accessor.

  Returns:
    A name for this type, which can be used for types which were unnamed in RDL.
  See Also:
    `Declaration.getLambdaName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD